Events are automatically created when significant actions take place within Octopus by users.
Examples are adding environments, modifying projects, deploying releases, canceling tasks, and so on. Events can be used to provide an audit trail of what has happened in the system.
The HTTP API cannot be used to add, modify or delete events.
List Events
GET /api
Also reachable at /api, /api.
A list of all audit events collected to date, ordered by the date of the event in descending order. Events can be filtered by various criteria and can be returned as a csv file when the optional parameter ‘asCsv’ is set to true.
Path Parameters
spaceIdstring (required)
Query Parameters
asCsvboolean
Returns list of events as a csv file when set to true.documentTypesarray of string
The document types to be matched, provided as a comma separated list of strings.environmentsarray of string
The environment ids to be matched, provided as a comma separated list of strings.eventAgentsarray of string
The event agents to be matched, provided as a comma separated list of strings.eventCategoriesarray of string
The event categories to be matched, provided as a comma separated list of strings.eventGroupsarray of string
The event groups to be matched, provided as a comma separated list of strings.excludeDifferenceboolean
Omits the change details of all events when set to true.fromstring
Filter events that occurred after this datetime. Formatdate-time.fromAutoIdinteger
Filter events after specified autoId.idsstring
The event ids to be matched, provided as a comma separated list of strings.includeInternalEventsboolean
Exclude the machine-related CRUD events that were added for auto-deploy events.projectGroupsarray of string
The project group ids to be matched, provided as a comma separated list of strings.projectsarray of string
The project ids to be matched, provided as a comma separated list of strings.regardingarray of string
The related document ids to be matched, provided as a comma separated list of strings.regardingAnyarray of string
The related document ids to be matched, provided as a comma separated list of strings.skipinteger
Number of items to skip. Defaults to zero. Minimum0.tagsarray of string
The canonical tag ids to be matched, provided as a comma separated list of strings.takeinteger
Number of items to take. Defaults to 30. Minimum0.tenantsarray of string
The tenant ids to be matched, provided as a comma separated list of strings.tostring
Filter events that occurred before this datetime. Formatdate-time.toAutoIdinteger
Filter events before specified autoId.userstringusersarray of string
The user ids to be matched, provided as a comma separated list of strings.
Response
200 — A paginated list of events, unless AsCsv is true, in which case a text/csv file is returned
Idstring
Gets or sets a unique identifier for this resource.ItemTypestring
The type of item in this list.Itemsarray of objectApiKeyHintstring
Gets or sets the obfuscated hint of the API key used to authenticate the request, if applicable.ApiKeyIdstring
Gets or sets the ID of the API key used to authenticate the request, if applicable.Categorystring
Gets or sets the event category.ChangeDetailsobjectCommentsstring
Gets or sets any user-provided comments that were recorded with the event.Detailsstring
Gets or sets the details of the event. For events representing a modification to a document use the ChangeDetails property.Idstring
Gets or sets a unique identifier for this resource.IdentityEstablishedWithstring
Gets or sets a description of how the user performing the event identified themselves to Octopus.IpAddressstring
The IP address of the user that created the event.IsServiceboolean
Gets or sets whether the user who created the event is a service user or an interactive user.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Messagestring
Gets or sets the message text that summarizes the event.MessageHtmlstring
Gets or sets the message text that summarizes the event, HTML formatted with links to the related documents.MessageReferencesarray of object
Gets or sets an array of document ID’s and indexes where they are mentioned in the message text.Occurredstring
Gets or sets the date/time that the event took place. Formatdate-time.RelatedDocumentIdsarray of string
Gets or sets a collection of document ID’s that this event relates to. Note that the document ID’s may no longer exist.SpaceIdstring
Gets or sets the SpaceId of the event. This represents the space in which the event was raised.UserAgentstring
Gets or sets the user agent header value from the request that triggered the event.UserIdstring
Gets or sets the ID of the user who created the event.Usernamestring
Gets or sets the name of the user who created the event.
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "Event",
"Items": [
{
"ApiKeyHint": null,
"ApiKeyId": null,
"Category": "Modified",
"ChangeDetails": {
"Differences": [
{
"path": "/IsDisabled",
"op": "replace",
"value": true
}
],
"DocumentContext": {
"Id": "Tenants-1",
"Name": "ExampleTenant"
}
},
"Comments": "string",
"Details": "string",
"Id": "string",
"IdentityEstablishedWith": "Session cookie",
"IpAddress": "127.0.0.1",
"IsService": false,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"Self": "/api/..."
},
"Message": "Tenant ExampleTenant was modified",
"MessageHtml": "Tenant ExampleTenant was modified",
"MessageReferences": [
{}
],
"Occurred": "2020-01-01T00:00:00.000Z",
"RelatedDocumentIds": [
"Tenants-1"
],
"SpaceId": "Spaces-1",
"UserAgent": "OctopusClient-js/2026.3.15581",
"UserId": "Users-1",
"Username": "MyUserName"
}
],
"ItemsPerPage": 30,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 1,
"Links": {
"Self": "/api/..."
},
"NumberOfPages": 2,
"TotalResults": 42
}List Event Agents
GET /api
Also reachable at /api, /api.
An Event Agent represents a source of events. Agents are either well known, or remote.
Well-known agents are represented in the response list by an Id and Name:
{ "Id": "Server", "Name": "Octopus Server task" }Remote agents are represented in the response list by their HTTP User-Agent:
{ "Id": "curl/8.7.1", "Name": "curl/8.7.1" }Path Parameters
spaceIdstring (required)
Ignored. All Event Agents known to the system are returned.
Response
200 — The requested event agents
Idstring
A well-known identifier for a source of Events, or the HTTP User-Agent of a remote client which generated one or more events.Linksobject
The Links property is not set but exists for backwards compatibility.Namestring
A well-known name for a source of Events, or the HTTP User-Agent of a remote client which generated one or more events.
Example Response
[
{
"Id": "curl/8.7.1",
"Links": null,
"Name": "curl/8.7.1"
}
]List Event Categories
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Ignored.
Query Parameters
appliesTostring
Limits the results to event categories that apply to a particular document type.
Response
200 — The requested Event Categories
Idstring
The ID of the Event Category.Linksobject
The Links property is not set but exists for backwards compatibility.Namestring
The display name of the Event Category.
Example Response
[
{
"Id": "Created",
"Links": null,
"Name": "Document created"
}
]List Document Types
GET /api
Also reachable at /api, /api.
The list of document types that you can use for the documentTypes parameter when searching for events. Use the Document Type Id.
Path Parameters
spaceIdstring (required)
Ignored.
Response
200 — List of event document types.
Idstring
Document Type Identifier.Namestring
Display name for the Document Type.
Example Response
[
{
"Id": "ProjectGroups",
"Name": "Project Group"
}
]List Event Groups
GET /api
Also reachable at /api, /api.
The list of event groups that you can use when searching for events
Path Parameters
spaceIdstring (required)
Ignored.
Query Parameters
appliesTostring
Filter results to only include Event Groups which are related to the provided string. eg. ‘Machine’.
Response
200 — A list of subscription event groups.
EventCategoriesarray of stringIdstringLinksobjectNamestring
Example Response
[
{
"EventCategories": [
"Created",
"Modified",
"Deleted"
],
"Id": "Document",
"Links": null,
"Name": "Document events"
}
]Get a single event by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the event.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested event
ApiKeyHintstring
Gets or sets the obfuscated hint of the API key used to authenticate the request, if applicable.ApiKeyIdstring
Gets or sets the ID of the API key used to authenticate the request, if applicable.Categorystring
Gets or sets the event category.ChangeDetailsobjectDifferencesstringDocumentContextstring
Commentsstring
Gets or sets any user-provided comments that were recorded with the event.Detailsstring
Gets or sets the details of the event. For events representing a modification to a document use the ChangeDetails property.Idstring
Gets or sets a unique identifier for this resource.IdentityEstablishedWithstring
Gets or sets a description of how the user performing the event identified themselves to Octopus.IpAddressstring
The IP address of the user that created the event.IsServiceboolean
Gets or sets whether the user who created the event is a service user or an interactive user.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Messagestring
Gets or sets the message text that summarizes the event.MessageHtmlstring
Gets or sets the message text that summarizes the event, HTML formatted with links to the related documents.MessageReferencesarray of object
Gets or sets an array of document ID’s and indexes where they are mentioned in the message text.LengthintegerReferencedDocumentIdstringStartIndexinteger
Occurredstring
Gets or sets the date/time that the event took place. Formatdate-time.RelatedDocumentIdsarray of string
Gets or sets a collection of document ID’s that this event relates to. Note that the document ID’s may no longer exist.SpaceIdstring
Gets or sets the SpaceId of the event. This represents the space in which the event was raised.UserAgentstring
Gets or sets the user agent header value from the request that triggered the event.UserIdstring
Gets or sets the ID of the user who created the event.Usernamestring
Gets or sets the name of the user who created the event.
Example Response
{
"ApiKeyHint": null,
"ApiKeyId": null,
"Category": "Modified",
"ChangeDetails": {
"Differences": [
{
"path": "/IsDisabled",
"op": "replace",
"value": true
}
],
"DocumentContext": {
"Id": "Tenants-1",
"Name": "ExampleTenant"
}
},
"Comments": "string",
"Details": "string",
"Id": "string",
"IdentityEstablishedWith": "Session cookie",
"IpAddress": "127.0.0.1",
"IsService": false,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"Self": "/api/..."
},
"Message": "Tenant ExampleTenant was modified",
"MessageHtml": "Tenant ExampleTenant was modified",
"MessageReferences": [
{
"Length": 0,
"ReferencedDocumentId": "string",
"StartIndex": 0
}
],
"Occurred": "2020-01-01T00:00:00.000Z",
"RelatedDocumentIds": [
"Tenants-1"
],
"SpaceId": "Spaces-1",
"UserAgent": "OctopusClient-js/2026.3.15581",
"UserId": "Users-1",
"Username": "MyUserName"
}